# This is the CRAN/Bioconductor name
%define packname lmtest
# This is the main version
%global packver 0.9
# Note that some R packages do not use packrel
%define packrel 32

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          3%{?dist}
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/lmtest/index.html
Group:            Applications/Engineering
Summary:          Testing Linear Regression Models for R
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 5
BuildRequires:    tex(latex)
%else
BuildRequires:    tetex-latex
%endif
BuildRequires:    R-devel >= 3.0.0, R-zoo
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-zoo, R-core >= 3.0.0

%description
A collection of tests, data sets and examples for diagnostic checking in
linear regression models in R.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
# Use --no-install until R-strucchange, R-sandwich, R-dynlm, and R-survival
# are available
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc lmtest/THANKS
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Orion Poplawski <orion@cora.nwra.com> - 0.9.32-1
- update to 0.9-32

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 0.9.30-1
- update to 0.9-30

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 8 2011 Tom Callaway <spot@fedoraproject.org> 0.9.29-1
- update to new R packaging model
- rebuild against R 2.14.0

* Mon Nov 7 2011 Orion Poplawski <orion@cora.nwra.com> 0.9-29
- Update to 0.9-29

* Tue Feb 8 2011 Orion Poplawski <orion@cora.nwra.com> 0.9-28
- Update to 0.9-27

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 10 2010 Orion Poplawski <orion@cora.nwra.com> 0.9-26
- Update to 0.9-26

* Thu Nov 19 2009 Orion Poplawski <orion@cora.nwra.com> 0.9-25
- Update to 0.9-25
- Update spec for R 2.10.0 (fixes FTBFS bug #538867)

* Mon Aug 10 2009 Orion Poplawski <orion@cora.nwra.com> 0.9-6
- Update to 0.9-24

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Orion Poplawski <orion@cora.nwra.com> 0.9-3
- Update to 0.9-23
- Change BR to tex(latex)
- Drop encoding conversion - encoding is specified in the .tex files
- Different doc files

* Mon Jun 23 2008 Orion Poplawski <orion@cora.nwra.com> 0.9-2
- Fix License, add README and COPYRIGHTS to doc
- Fixup non utf8 files

* Wed May 7 2008 Orion Poplawski <orion@cora.nwra.com> 0.9-1
- Initial package creation
